require 'db_obfuscation/database'

module DbObfuscation
  module ObfuscationStrategy
    def self.strategy(column_name)
      case column_name.to_sym
      when /ssn/
        :ssn_strategy
      when /email/
        :email_strategy
      when :first_name
        :first_name_strategy
      when :last_name
        :last_name_strategy
      when :name
        :name_strategy
      else
        :default_strategy
      end
    end
  end
end
