require 'pathname'
require 'logger'

module DbObfuscation
  ROOT = Pathname.new(File.expand_path('../../../', __FILE__)).freeze
  class << self
    attr_accessor :config_dir, :logging
  end
end

lib_path = DbObfuscation::ROOT.join('lib')
cli_path = DbObfuscation::ROOT.join('cli')
$LOAD_PATH.unshift(lib_path) unless $LOAD_PATH.include?(lib_path)
$LOAD_PATH.unshift(cli_path) unless $LOAD_PATH.include?(cli_path)
