module DbObfuscation
  module Filtering
    class Truncation

      def self.matches_patterns(*args)
        new.send(:matches_patterns, *args)
      end

      private

      def matches_patterns(tables, patterns)
        patterns.map do |pattern|
          tables.grep(/^#{pattern}(_.*)*$/)
        end.flatten.uniq
      end
    end
  end
end
